/*  Copyright (C) 2012-2022 Institute of Aerospace Systems, RWTH Aachen University - All rights reserved.
    This file is part of UNICADO.

    UNICADO is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    UNICADO is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with UNICADO.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "emissionsClass.h"

Emissions::Emissions()
        :
        CO2(0.), //carbon dioxide, kg
        H2O(0.),//water emission, kg
        NOx(0.),//nitrogen oxides, kg
        CO(0.),// carbon monoxide, kg
        SO2(0.),//sulphur dioxide, kg
        SO4(0.),// Optically active sulfate, kg
        CH4(0.),// methane, kg
        PM10(0.),// particulate matter, kg
        soot(0.),// soot, kg
        N2O(0.),//Nitrous oxide (laughing gas), kg
        PFC(0.),// Perfluorinated hydrocarbons, kg
        NMVOC(0.),// Non methane volatile organic compounds, kg
        HC(0.), //hydrocarbon, kg
        //Potentials
        GWP100(0.),
        AP(0.),
        ADP(0.),
        POCP(0.),
        OLDP(0.),
        PMFP(0.),
        CED(0.) {
    };
