/*  Copyright (C) 2010-2023 Institute of Aerospace Systems, RWTH Aachen
   University - All rights reserved. This file is part of UNICADO.

    UNICADO is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    UNICADO is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with UNICADO.  If not, see <http://www.gnu.org/licenses/>.
*/
/**
 * @file blackbox_systemDesign.cpp
 * @brief This file contains the main function to execute the blackbox tests.
 */
#include <blackboxTest/blackboxTest.h>
#include "../src/systemsDesign.h"
#include "../src/toolinfo.h"
#include <iostream>

/* Provide the implementation of how to execute your module */
void BlackboxTest::executeModule() {
    /* Setup the module*/
    int argc = 1;
    char *argv[] = {const_cast<char*>(""), NULL};
    systemsDesign systemsDesign(argc, argv, TOOL_NAME, TOOL_VERSION);
    systemsDesign.initialize();

    /* Run the Module */
    systemsDesign.run();

    /* DO NOT write the complete output, just update the node data! */
    systemsDesign.update();
}

/* Main to execute the blackbox tests */
int main(int argc, char *argv[]) {
    /* Execute the blackbox tests */
    return BlackboxTest::runAllTests(argc, argv, TOOL_NAME);
}
