import pytest

import xml.etree.ElementTree as ET
from basic.massPropertiesIO import MassPropertiesIO


@pytest.fixture
def empty_mass_properties():

    yield MassPropertiesIO()


class TestMassPropertiesIO:

    def test_initialize_zero_mass(self, empty_mass_properties):
        # Setup test
        empty_mass_properties.initialize_zero_mass()

        # Assert
        assert empty_mass_properties.mass == 0.0

    def test_initialize_zero_center_of_gravity(self, empty_mass_properties):
        empty_mass_properties.initialize_zero_center_of_gravity()

        for _, value in empty_mass_properties.center_of_gravity.items():
            assert value == 0.0

    def test_initialize_zero_inertia(self, empty_mass_properties):
        empty_mass_properties.initialize_zero_inertia()

        for _, value in empty_mass_properties.inertia.items():
            assert value == 0.0

    def test_initialize_zero(self, empty_mass_properties):
        empty_mass_properties.initialize_zero()

        assert empty_mass_properties.mass == 0.0

        for _, value in empty_mass_properties.center_of_gravity.items():
            assert value == 0.0

        for _, value in empty_mass_properties.inertia.items():
            assert value == 0.0
