/**
 * \file lowWingDesignBwb.h
 * \author Christopher Ruwisch (christopher.ruwisch@tu-berlin.de)
 * \brief
 * \version 0.1
 * \date 2023-12-05
 *
 * @copyright Copyright (c) 2023
 *
 */
#ifndef LOW_WINGDESIGN_BWB_H_
#define LOW_WINGDESIGN_BWB_H_

#include <moduleBasics/module.h>
#include <moduleBasics/strategySelector.h>

namespace bwb {
namespace low {

class Wing : public Strategy {
 public:
  Wing(const std::shared_ptr<RuntimeIO>& rtIO);
  ~Wing() = default;

  void initialize();
  void run();
  void update();
  void report();
  void save();

  std::string selected_mass_mode;
  const std::shared_ptr<RuntimeIO>& rtIO;
};
}  // namespace low
}  // namespace bwb

#endif  // LOW_WINGDESIGN_BWB_H_
